Bug 1276360 - Firmware for Qualcomm Atheros QCA6174 802.11ac Wireless Network Adapter (rev 20) not included
Firmware for Qualcomm Atheros QCA6174 802.11ac Wireless Network Adapter (rev ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: linux-firmware (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Josh Boyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 10:15 EDT by Richard Allen
Modified: 2016-03-16 08:36 EDT (History)
11 users (show)

See Also:
Fixed In Version: linux-firmware-20151030-58.git66d3d8d7.fc23 linux-firmware-20151030-58.git66d3d8d7.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-02 13:51:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Allen 2015-10-29 10:15:18 EDT
Description of problem:
Fedora 22, fully up to date has a driver for the above wireless NIC but firmware seems to be missing.


Version-Release number of selected component (if applicable):
Acer Aspire VN7-591G

How reproducible:
Every time

Steps to Reproduce:
1. Get a Acer Aspire VN7-591G (or any other system with this NIC)
2. install Fedora 22, fully update
3. attempt to connect to a wireless network

Actual results:
Firmware based errors

Expected results:
Wifi should work

Additional info:
fpaste --sysinfo here: http://paste.fedoraproject.org/284819/46126554/

dmesg:
[    3.903899] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/cal-pci-0000:07:00.0.bin failed with error -2
[    3.903908] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/board-pci-168c:003e:105b:e08e.bin failed with error -2
[    3.903909] ath10k_pci 0000:07:00.0: failed to load spec board file, falling back to generic: -2
[    3.903914] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/board.bin failed with error -2
[    3.903915] ath10k_pci 0000:07:00.0: failed to fetch generic board data: -2
[    3.903916] ath10k_pci 0000:07:00.0: failed to fetch board file: -2
[    3.903917] ath10k_pci 0000:07:00.0: could not fetch firmware files (-2)
[    3.903918] ath10k_pci 0000:07:00.0: could not probe fw (-2)
[    3.903899] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/cal-pci-0000:07:00.0.bin failed with error -2
[    3.903908] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/board-pci-168c:003e:105b:e08e.bin failed with error -2
[    3.903909] ath10k_pci 0000:07:00.0: failed to load spec board file, falling back to generic: -2
[    3.903914] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/board.bin failed with error -2
[    3.903915] ath10k_pci 0000:07:00.0: failed to fetch generic board data: -2
[    3.903916] ath10k_pci 0000:07:00.0: failed to fetch board file: -2
[    3.903917] ath10k_pci 0000:07:00.0: could not fetch firmware files (-2)
[    3.903918] ath10k_pci 0000:07:00.0: could not probe fw (-2)
Comment 1 Josh Boyer 2015-10-29 10:27:23 EDT
This isn't a kernel issue.  Firmware is provided by the linux-firmware package.
Comment 2 Josh Boyer 2015-10-29 10:29:22 EDT
It looks like the generic firmware (the last one it tries to load) was added to the upstream linux-firmware git repo on Oct 15 with:

commit aab28b04bcae237f871f4594bbc654da0cf36b50
Author: Kalle Valo <kvalo@qca.qualcomm.com>
Date:   Thu Oct 15 13:40:42 2015 +0300

    ath10k: QCA6174 hw2.1: add firmware WLAN.RM.1.1-00141 and board.bin
    
    Add initial firmware and board files for QCA6174 hw2.1 family of chipsets.
    
    Signed-off-by: Kalle Valo <kvalo@qca.qualcomm.com>
    [bwh: Remove trailing whitespace from notice and convert it to UTF-8]
    Signed-off-by: Ben Hutchings <ben@decadent.org.uk>

I'll try and get an updated linux-firmware package out soon.
Comment 3 Fedora Update System 2015-10-30 10:32:00 EDT
linux-firmware-20151030-58.git66d3d8d7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-4319f3936d
Comment 4 Fedora Update System 2015-10-30 10:32:47 EDT
linux-firmware-20151030-58.git66d3d8d7.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-8041d50c4b
Comment 5 Fedora Update System 2015-10-30 10:33:20 EDT
linux-firmware-20151030-58.git66d3d8d7.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-38c68e7875
Comment 6 Fedora Update System 2015-11-01 01:56:47 EST
linux-firmware-20151030-58.git66d3d8d7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update linux-firmware'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4319f3936d
Comment 7 Fedora Update System 2015-11-01 19:25:32 EST
linux-firmware-20151030-58.git66d3d8d7.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update linux-firmware'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8041d50c4b
Comment 8 Fedora Update System 2015-11-01 21:53:50 EST
linux-firmware-20151030-58.git66d3d8d7.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update linux-firmware'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-38c68e7875
Comment 9 Fedora Update System 2015-11-02 13:51:20 EST
linux-firmware-20151030-58.git66d3d8d7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-11-17 13:24:19 EST
linux-firmware-20151030-58.git66d3d8d7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Alexander Ploumistos 2015-12-18 07:17:46 EST
I haven't had the time to investigate this, but on an Aspire VN7-791G with QCA6174, the firmware included in 66d3d8d7 or bbe4917c does not work. The device is turned on, it scans and finds APs in range, but it can not connect.

I tried the latest firmware (v1.1.1-00157) that Kalle Valo hosts on his github:
https://github.com/kvalo/ath10k-firmware/tree/master/QCA6174/hw2.1
and that does work. It's not included in the linux-firmware kernel.org repo yet.
Comment 12 vcmota78 2016-02-28 13:36:25 EST
Dear all,

I am having this issue as well and I believed I have tried all solutions show here but nothing works. I have posted it here in detail http://www.forums.fedoraforum.org/showthread.php?t=308949, and what it says is that I have a inspiron 15 5557 which uses a Qualcomm Atheros QCA6174 802.11ac Wireless Network Adapter and just installed F23 and I cannot get the wifi to connect. I tried to update the firmware as suggested here  https://lists.fedoraproject.org/pipermail/package-announce/2015-November/170677.html using both "dnf --enablerepo=updates-testing update linux-firmware" and "dnf update linux-firmware" but no updates were available. After that I try to copy the firmware directly from the link https://github.com/kvalo/ath10k-firmware/tree/master/QCA6174 into the folders /lib/firmware/ath10k/QCA6174/hw3.0 and /lib/firmware/ath10k/QCA6174/hw2.1 and restarted the computer as suggested here https://wireless.wiki.kernel.org/en/users/Drivers/ath10k/firmware in "Update Firmware" and again no wireless at all. The output of "dmesg | grep ath10k" is

[vinicius@localhost Desktop]$ dmesg | grep ath10k
[    5.294102] ath10k_pci 0000:02:00.0: enabling device (0000 -> 0002)
[    5.295117] ath10k_pci 0000:02:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0
[    5.502912] ath10k_pci 0000:02:00.0: Direct firmware load for ath10k/cal-pci-0000:02:00.0.bin failed with error -2
[    5.509991] ath10k_pci 0000:02:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/firmware-5.bin failed with error -2
[    5.509997] ath10k_pci 0000:02:00.0: could not fetch firmware file 'ath10k/QCA6174/hw3.0/firmware-5.bin': -2
[    5.584272] ath10k_pci 0000:02:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/board-2.bin failed with error -2
[    7.745259] ath10k_pci 0000:02:00.0: qca6174 hw3.2 (0x05030000, 0x00340aff sub 1028:0310) fw WLAN.RM.2.0-00180-QCARMSWPZ-1 fwapi 4 bdapi 1 htt-ver 3.26 wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypto 1 features wowlan,ignore-otp,no-4addr-pad
[    7.745262] ath10k_pci 0000:02:00.0: debug 0 debugfs 1 tracing 0 dfs 0 testmode 0
[   10.744432] ath10k_pci 0000:02:00.0: could not suspend target (-11)
[   10.814279] ath10k_pci 0000:02:00.0 wlp2s0: renamed from wlan0
[   16.096641] ath10k_pci 0000:02:00.0: failed to enable dynamic BW: -11
[   22.096745] ath10k_pci 0000:02:00.0: could not suspend target (-11)
[   27.430805] ath10k_pci 0000:02:00.0: failed to enable dynamic BW: -11
[   33.430805] ath10k_pci 0000:02:00.0: could not suspend target (-11)
[   38.754962] ath10k_pci 0000:02:00.0: failed to enable dynamic BW: -11
[   44.755006] ath10k_pci 0000:02:00.0: could not suspend target (-11)
[   60.289281] ath10k_pci 0000:02:00.0: failed to enable dynamic BW: -11
[   66.289337] ath10k_pci 0000:02:00.0: could not suspend target (-11)
[   71.611484] ath10k_pci 0000:02:00.0: failed to enable dynamic BW: -11
[   77.611576] ath10k_pci 0000:02:00.0: could not suspend target (-11)
[   93.405090] ath10k_pci 0000:02:00.0: failed to enable dynamic BW: -11
[   99.405189] ath10k_pci 0000:02:00.0: could not suspend target (-11)
[  104.727253] ath10k_pci 0000:02:00.0: failed to enable dynamic BW: -11
[  110.727364] ath10k_pci 0000:02:00.0: could not suspend target (-11)
[  126.406473] ath10k_pci 0000:02:00.0: failed to enable dynamic BW: -11
[  132.406572] ath10k_pci 0000:02:00.0: could not suspend target (-11)
[  137.728747] ath10k_pci 0000:02:00.0: failed to enable dynamic BW: -11
[  143.728839] ath10k_pci 0000:02:00.0: could not suspend target (-11)
[  159.418022] ath10k_pci 0000:02:00.0: failed to enable dynamic BW: -11
[  165.419634] ath10k_pci 0000:02:00.0: could not suspend target (-11)
[  170.741907] ath10k_pci 0000:02:00.0: failed to enable dynamic BW: -11
[  176.743453] ath10k_pci 0000:02:00.0: could not suspend target (-11)
[  192.423552] ath10k_pci 0000:02:00.0: failed to enable dynamic BW: -11
[  198.423544] ath10k_pci 0000:02:00.0: could not suspend target (-11)
[  203.747651] ath10k_pci 0000:02:00.0: failed to enable dynamic BW: -11


Thank you all for your help.
Comment 13 vcmota78 2016-03-01 08:33:02 EST
I have been able to solve the problem after checking this post https://bbs.archlinux.org/viewtopic.php?pid=1608717#p1608717 in ArchLinux, and followed the steps   

1)I have replaced all binary files in both folders /lib/firmware/ath10k/QCA6174/hw2.1/ and /lib/firmware/ath10k/QCA6174/hw3.0/ for the files provided in this link;
2)made all binaries executables doing chmod a+x /lib/firmware/ath10k/QCA6174/hw2.1/* and chmod a+x /lib/firmware/ath10k/QCA6174/hw3.0/*;
3) created the file /etc/modprobe.d/ath10k.conf by doing "echo "options ath10k_core skip_otp=y" > /etc/modprobe.d/ath10k.conf";
4)restarted the computer;


Now both wifi and Bluetooth seems to works fine, although my dmesg output is still not clean

[vinicius@localhost Desktop]$ dmesg | grep ath10k
[ 5.413154] ath10k_pci 0000:02:00.0: enabling device (0000 -> 0002)
[ 5.414153] ath10k_pci 0000:02:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0
[ 5.620409] ath10k_pci 0000:02:00.0: Direct firmware load for ath10k/cal-pci-0000:02:00.0.bin failed with error -2
[ 5.624286] ath10k_pci 0000:02:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/firmware-5.bin failed with error -2
[ 5.624292] ath10k_pci 0000:02:00.0: could not fetch firmware file 'ath10k/QCA6174/hw3.0/firmware-5.bin': -2
[ 5.756662] ath10k_pci 0000:02:00.0: failed to fetch board data for ath10k/QCA6174/hw3.0 from bus=pci,vendor=168c,device=003e,subsystem-vendor=1028,subsystem-device=0310/board-2.bin
[ 7.957068] ath10k_pci 0000:02:00.0: qca6174 hw3.2 (0x05030000, 0x00340aff sub 1028:0310) fw WLAN.RM.2.0-00180-QCARMSWPZ-1 fwapi 4 bdapi 1 htt-ver 3.26 wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypto 1 features wowlan,ignore-otp,no-4addr-pad
[ 7.957071] ath10k_pci 0000:02:00.0: debug 0 debugfs 1 tracing 0 dfs 0 testmode 0
[ 8.125532] ath10k_pci 0000:02:00.0 wlp2s0: renamed from wlan0

I dont know how relevant this is but my kernel has been updated to a newer version

[vinicius@localhost Desktop]$ uname -r
4.4.2-301.fc23.x86_64

although the problem has only been solved after executing all four steps enlisted above. Thank you all anyway.
Comment 14 Denis Marchand 2016-03-16 08:36:54 EDT
Hi everybody,

I have sucessfully made my QCA6174 Wifi NIC working with the kvalo firmwares files on my Fedora 23 laptop.

I can connect to 802.11abgn Wireless networks but no to 802.11ac. I get the following error when I try in journactl : 

"kernel: wlp3s0: authentication with e0:ce:c3:ca:32:ad timed out"

Thank you all for your supports.

Denis

Note You need to log in before you can comment on or make changes to this bug.